/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Llib/process.scm -indent -o objs/obj_u/Llib/process.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___PROCESS_TYPE_DEFINITIONS
#define BGL___PROCESS_TYPE_DEFINITIONS
#endif													// BGL___PROCESS_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t c_process_xstatus(obj_t);
	extern obj_t c_process_list(void);
	static obj_t BGl_list1651z00zz__processz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
	static obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__processz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62processzd2killzb0zz__processz00(obj_t, obj_t);
	static obj_t BGl_z62runzd2processzb0zz__processz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t, obj_t);
	static obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t, obj_t);
	static obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2killzd2zz__processz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_processzf3zf3zz__processz00(obj_t);
	static obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__processz00(void);
	static obj_t BGl_genericzd2initzd2zz__processz00(void);
	BGL_EXPORTED_DECL bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
	extern obj_t c_process_kill(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__processz00(void);
	static obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__processz00(void);
	BGL_EXPORTED_DECL obj_t BGl_processzd2nilzd2zz__processz00(void);
	BGL_EXPORTED_DECL obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__processz00(void);
	static obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t c_process_wait(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t bgl_process_nil(void);
	static obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t, obj_t);
	extern obj_t c_process_stop(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
	static obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t, obj_t);
	static obj_t BGl_keyword1652z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword1654z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword1658z00zz__processz00 = BUNSPEC;
	extern obj_t c_process_continue(obj_t);
	BGL_EXPORTED_DECL int BGl_processzd2pidzd2zz__processz00(obj_t);
	static obj_t BGl_keyword1660z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword1662z00zz__processz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
	static obj_t BGl_keyword1664z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword1666z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword1668z00zz__processz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__processz00(void);
	static obj_t BGl_z62processzf3z91zz__processz00(obj_t, obj_t);
	static obj_t BGl_keyword1670z00zz__processz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t,
		int);
	extern obj_t c_unregister_process(obj_t);
	extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t, obj_t);
	extern obj_t bgl_close_input_port(obj_t);
	static obj_t BGl_z62processzd2listzb0zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
	extern obj_t c_process_send_signal(obj_t, int);
	BGL_EXPORTED_DECL bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
	static obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t);
	static obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2listzd2zz__processz00(void);
	extern obj_t bgl_close_output_port(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern bool_t c_process_alivep(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2errorzd2portzd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2err1677z00,
		BGl_z62processzd2errorzd2portz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2nilzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2nil1678z00, BGl_z62processzd2nilzb0zz__processz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2killzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2kil1679z00, BGl_z62processzd2killzb0zz__processz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2outputzd2portzd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2out1680z00,
		BGl_z62processzd2outputzd2portz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1637z00zz__processz00,
		BgL_bgl_string1637za700za7za7_1681za7,
		"/tmp/bigloo/runtime/Llib/process.scm", 36);
	      DEFINE_STRING(BGl_string1638z00zz__processz00,
		BgL_bgl_string1638za700za7za7_1682za7, "&process-pid", 12);
	      DEFINE_STRING(BGl_string1639z00zz__processz00,
		BgL_bgl_string1639za700za7za7_1683za7, "process", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2waitzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2wai1684z00, BGl_z62processzd2waitzb0zz__processz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closezd2processzd2portszd2envzd2zz__processz00,
		BgL_bgl_za762closeza7d2proce1685z00,
		BGl_z62closezd2processzd2portsz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1640z00zz__processz00,
		BgL_bgl_string1640za700za7za7_1686za7, "&process-output-port", 20);
	      DEFINE_STRING(BGl_string1641z00zz__processz00,
		BgL_bgl_string1641za700za7za7_1687za7, "&process-input-port", 19);
	      DEFINE_STRING(BGl_string1642z00zz__processz00,
		BgL_bgl_string1642za700za7za7_1688za7, "&process-error-port", 19);
	      DEFINE_STRING(BGl_string1643z00zz__processz00,
		BgL_bgl_string1643za700za7za7_1689za7, "&process-alive?", 15);
	      DEFINE_STRING(BGl_string1644z00zz__processz00,
		BgL_bgl_string1644za700za7za7_1690za7, "&process-wait", 13);
	      DEFINE_STRING(BGl_string1645z00zz__processz00,
		BgL_bgl_string1645za700za7za7_1691za7, "&process-exit-status", 20);
	      DEFINE_STRING(BGl_string1646z00zz__processz00,
		BgL_bgl_string1646za700za7za7_1692za7, "&process-send-signal", 20);
	      DEFINE_STRING(BGl_string1647z00zz__processz00,
		BgL_bgl_string1647za700za7za7_1693za7, "bint", 4);
	      DEFINE_STRING(BGl_string1648z00zz__processz00,
		BgL_bgl_string1648za700za7za7_1694za7, "&process-kill", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unregisterzd2processzd2envz00zz__processz00,
		BgL_bgl_za762unregisterza7d21695z00,
		BGl_z62unregisterzd2processzb0zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1649z00zz__processz00,
		BgL_bgl_string1649za700za7za7_1696za7, "&process-stop", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2exitzd2statuszd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2exi1697z00,
		BGl_z62processzd2exitzd2statusz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1650z00zz__processz00,
		BgL_bgl_string1650za700za7za7_1698za7, "&process-continue", 17);
	      DEFINE_STRING(BGl_string1653z00zz__processz00,
		BgL_bgl_string1653za700za7za7_1699za7, "pipe", 4);
	      DEFINE_STRING(BGl_string1655z00zz__processz00,
		BgL_bgl_string1655za700za7za7_1700za7, "wait", 4);
	      DEFINE_STRING(BGl_string1656z00zz__processz00,
		BgL_bgl_string1656za700za7za7_1701za7, "run-process", 11);
	      DEFINE_STRING(BGl_string1657z00zz__processz00,
		BgL_bgl_string1657za700za7za7_1702za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1659z00zz__processz00,
		BgL_bgl_string1659za700za7za7_1703za7, "fork", 4);
	      DEFINE_STRING(BGl_string1661z00zz__processz00,
		BgL_bgl_string1661za700za7za7_1704za7, "input", 5);
	      DEFINE_STRING(BGl_string1663z00zz__processz00,
		BgL_bgl_string1663za700za7za7_1705za7, "output", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2continuezd2envz00zz__processz00,
		BgL_bgl_za762processza7d2con1706z00,
		BGl_z62processzd2continuezb0zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1665z00zz__processz00,
		BgL_bgl_string1665za700za7za7_1707za7, "null", 4);
	      DEFINE_STRING(BGl_string1667z00zz__processz00,
		BgL_bgl_string1667za700za7za7_1708za7, "error", 5);
	      DEFINE_STRING(BGl_string1669z00zz__processz00,
		BgL_bgl_string1669za700za7za7_1709za7, "host", 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzf3zd2envz21zz__processz00,
		BgL_bgl_za762processza7f3za7911710za7, BGl_z62processzf3z91zz__processz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1671z00zz__processz00,
		BgL_bgl_string1671za700za7za7_1711za7, "env", 3);
	      DEFINE_STRING(BGl_string1672z00zz__processz00,
		BgL_bgl_string1672za700za7za7_1712za7, "&run-process", 12);
	      DEFINE_STRING(BGl_string1673z00zz__processz00,
		BgL_bgl_string1673za700za7za7_1713za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1674z00zz__processz00,
		BgL_bgl_string1674za700za7za7_1714za7, "&close-process-ports", 20);
	      DEFINE_STRING(BGl_string1675z00zz__processz00,
		BgL_bgl_string1675za700za7za7_1715za7, "&unregister-process", 19);
	      DEFINE_STRING(BGl_string1676z00zz__processz00,
		BgL_bgl_string1676za700za7za7_1716za7, "__process", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2alivezf3zd2envzf3zz__processz00,
		BgL_bgl_za762processza7d2ali1717z00,
		BGl_z62processzd2alivezf3z43zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2pidzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2pid1718z00, BGl_z62processzd2pidzb0zz__processz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2inputzd2portzd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2inp1719z00,
		BGl_z62processzd2inputzd2portz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2stopzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2sto1720z00, BGl_z62processzd2stopzb0zz__processz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_runzd2processzd2envz00zz__processz00,
		BgL_bgl_za762runza7d2process1721z00, va_generic_entry,
		BGl_z62runzd2processzb0zz__processz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2listzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2lis1722z00, BGl_z62processzd2listzb0zz__processz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2sendzd2signalzd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2sen1723z00,
		BGl_z62processzd2sendzd2signalz62zz__processz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_list1651z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1652z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1654z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1658z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1660z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1662z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1664z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1666z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1668z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1670z00zz__processz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__processz00(long
		BgL_checksumz00_1853, char *BgL_fromz00_1854)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
				{
					BGl_requirezd2initializa7ationz75zz__processz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__processz00();
					BGl_cnstzd2initzd2zz__processz00();
					BGl_importedzd2moduleszd2initz00zz__processz00();
					return BGl_methodzd2initzd2zz__processz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__processz00(void)
	{
		{	/* Llib/process.scm 15 */
			BGl_keyword1652z00zz__processz00 =
				bstring_to_keyword(BGl_string1653z00zz__processz00);
			BGl_list1651z00zz__processz00 =
				MAKE_YOUNG_PAIR(BGl_keyword1652z00zz__processz00, BNIL);
			BGl_keyword1654z00zz__processz00 =
				bstring_to_keyword(BGl_string1655z00zz__processz00);
			BGl_keyword1658z00zz__processz00 =
				bstring_to_keyword(BGl_string1659z00zz__processz00);
			BGl_keyword1660z00zz__processz00 =
				bstring_to_keyword(BGl_string1661z00zz__processz00);
			BGl_keyword1662z00zz__processz00 =
				bstring_to_keyword(BGl_string1663z00zz__processz00);
			BGl_keyword1664z00zz__processz00 =
				bstring_to_keyword(BGl_string1665z00zz__processz00);
			BGl_keyword1666z00zz__processz00 =
				bstring_to_keyword(BGl_string1667z00zz__processz00);
			BGl_keyword1668z00zz__processz00 =
				bstring_to_keyword(BGl_string1669z00zz__processz00);
			return (BGl_keyword1670z00zz__processz00 =
				bstring_to_keyword(BGl_string1671z00zz__processz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__processz00(void)
	{
		{	/* Llib/process.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* process? */
	BGL_EXPORTED_DEF bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_3)
	{
		{	/* Llib/process.scm 123 */
			return PROCESSP(BgL_objz00_3);
		}

	}



/* &process? */
	obj_t BGl_z62processzf3z91zz__processz00(obj_t BgL_envz00_1790,
		obj_t BgL_objz00_1791)
	{
		{	/* Llib/process.scm 123 */
			return BBOOL(BGl_processzf3zf3zz__processz00(BgL_objz00_1791));
		}

	}



/* process-nil */
	BGL_EXPORTED_DEF obj_t BGl_processzd2nilzd2zz__processz00(void)
	{
		{	/* Llib/process.scm 129 */
			BGL_TAIL return bgl_process_nil();
		}

	}



/* &process-nil */
	obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t BgL_envz00_1792)
	{
		{	/* Llib/process.scm 129 */
			return BGl_processzd2nilzd2zz__processz00();
		}

	}



/* process-pid */
	BGL_EXPORTED_DEF int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_4)
	{
		{	/* Llib/process.scm 135 */
			return PROCESS_PID(BgL_procz00_4);
		}

	}



/* &process-pid */
	obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t BgL_envz00_1793,
		obj_t BgL_procz00_1794)
	{
		{	/* Llib/process.scm 135 */
			{	/* Llib/process.scm 136 */
				int BgL_tmpz00_1879;

				{	/* Llib/process.scm 136 */
					obj_t BgL_auxz00_1880;

					if (PROCESSP(BgL_procz00_1794))
						{	/* Llib/process.scm 136 */
							BgL_auxz00_1880 = BgL_procz00_1794;
						}
					else
						{
							obj_t BgL_auxz00_1883;

							BgL_auxz00_1883 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
								BINT(5714L), BGl_string1638z00zz__processz00,
								BGl_string1639z00zz__processz00, BgL_procz00_1794);
							FAILURE(BgL_auxz00_1883, BFALSE, BFALSE);
						}
					BgL_tmpz00_1879 = BGl_processzd2pidzd2zz__processz00(BgL_auxz00_1880);
				}
				return BINT(BgL_tmpz00_1879);
			}
		}

	}



/* process-output-port */
	BGL_EXPORTED_DEF obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t
		BgL_procz00_5)
	{
		{	/* Llib/process.scm 141 */
			return PROCESS_OUTPUT_PORT(BgL_procz00_5);
		}

	}



/* &process-output-port */
	obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t BgL_envz00_1795,
		obj_t BgL_procz00_1796)
	{
		{	/* Llib/process.scm 141 */
			{	/* Llib/process.scm 142 */
				obj_t BgL_auxz00_1890;

				if (PROCESSP(BgL_procz00_1796))
					{	/* Llib/process.scm 142 */
						BgL_auxz00_1890 = BgL_procz00_1796;
					}
				else
					{
						obj_t BgL_auxz00_1893;

						BgL_auxz00_1893 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
							BINT(6004L), BGl_string1640z00zz__processz00,
							BGl_string1639z00zz__processz00, BgL_procz00_1796);
						FAILURE(BgL_auxz00_1893, BFALSE, BFALSE);
					}
				return BGl_processzd2outputzd2portz00zz__processz00(BgL_auxz00_1890);
			}
		}

	}



/* process-input-port */
	BGL_EXPORTED_DEF obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t
		BgL_procz00_6)
	{
		{	/* Llib/process.scm 147 */
			return PROCESS_INPUT_PORT(BgL_procz00_6);
		}

	}



/* &process-input-port */
	obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t BgL_envz00_1797,
		obj_t BgL_procz00_1798)
	{
		{	/* Llib/process.scm 147 */
			{	/* Llib/process.scm 148 */
				obj_t BgL_auxz00_1899;

				if (PROCESSP(BgL_procz00_1798))
					{	/* Llib/process.scm 148 */
						BgL_auxz00_1899 = BgL_procz00_1798;
					}
				else
					{
						obj_t BgL_auxz00_1902;

						BgL_auxz00_1902 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
							BINT(6301L), BGl_string1641z00zz__processz00,
							BGl_string1639z00zz__processz00, BgL_procz00_1798);
						FAILURE(BgL_auxz00_1902, BFALSE, BFALSE);
					}
				return BGl_processzd2inputzd2portz00zz__processz00(BgL_auxz00_1899);
			}
		}

	}



/* process-error-port */
	BGL_EXPORTED_DEF obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t
		BgL_procz00_7)
	{
		{	/* Llib/process.scm 153 */
			return PROCESS_ERROR_PORT(BgL_procz00_7);
		}

	}



/* &process-error-port */
	obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t BgL_envz00_1799,
		obj_t BgL_procz00_1800)
	{
		{	/* Llib/process.scm 153 */
			{	/* Llib/process.scm 154 */
				obj_t BgL_auxz00_1908;

				if (PROCESSP(BgL_procz00_1800))
					{	/* Llib/process.scm 154 */
						BgL_auxz00_1908 = BgL_procz00_1800;
					}
				else
					{
						obj_t BgL_auxz00_1911;

						BgL_auxz00_1911 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
							BINT(6597L), BGl_string1642z00zz__processz00,
							BGl_string1639z00zz__processz00, BgL_procz00_1800);
						FAILURE(BgL_auxz00_1911, BFALSE, BFALSE);
					}
				return BGl_processzd2errorzd2portz00zz__processz00(BgL_auxz00_1908);
			}
		}

	}



/* process-alive? */
	BGL_EXPORTED_DEF bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t
		BgL_procz00_8)
	{
		{	/* Llib/process.scm 159 */
			BGL_TAIL return c_process_alivep(BgL_procz00_8);
		}

	}



/* &process-alive? */
	obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t BgL_envz00_1801,
		obj_t BgL_procz00_1802)
	{
		{	/* Llib/process.scm 159 */
			{	/* Llib/process.scm 160 */
				bool_t BgL_tmpz00_1917;

				{	/* Llib/process.scm 160 */
					obj_t BgL_auxz00_1918;

					if (PROCESSP(BgL_procz00_1802))
						{	/* Llib/process.scm 160 */
							BgL_auxz00_1918 = BgL_procz00_1802;
						}
					else
						{
							obj_t BgL_auxz00_1921;

							BgL_auxz00_1921 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
								BINT(6889L), BGl_string1643z00zz__processz00,
								BGl_string1639z00zz__processz00, BgL_procz00_1802);
							FAILURE(BgL_auxz00_1921, BFALSE, BFALSE);
						}
					BgL_tmpz00_1917 =
						BGl_processzd2alivezf3z21zz__processz00(BgL_auxz00_1918);
				}
				return BBOOL(BgL_tmpz00_1917);
			}
		}

	}



/* process-wait */
	BGL_EXPORTED_DEF bool_t BGl_processzd2waitzd2zz__processz00(obj_t
		BgL_procz00_9)
	{
		{	/* Llib/process.scm 165 */
			if (c_process_alivep(BgL_procz00_9))
				{	/* Llib/process.scm 166 */
					return CBOOL(c_process_wait(BgL_procz00_9));
				}
			else
				{	/* Llib/process.scm 166 */
					return ((bool_t) 0);
				}
		}

	}



/* &process-wait */
	obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t BgL_envz00_1803,
		obj_t BgL_procz00_1804)
	{
		{	/* Llib/process.scm 165 */
			{	/* Llib/process.scm 166 */
				bool_t BgL_tmpz00_1931;

				{	/* Llib/process.scm 166 */
					obj_t BgL_auxz00_1932;

					if (PROCESSP(BgL_procz00_1804))
						{	/* Llib/process.scm 166 */
							BgL_auxz00_1932 = BgL_procz00_1804;
						}
					else
						{
							obj_t BgL_auxz00_1935;

							BgL_auxz00_1935 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
								BINT(7175L), BGl_string1644z00zz__processz00,
								BGl_string1639z00zz__processz00, BgL_procz00_1804);
							FAILURE(BgL_auxz00_1935, BFALSE, BFALSE);
						}
					BgL_tmpz00_1931 =
						BGl_processzd2waitzd2zz__processz00(BgL_auxz00_1932);
				}
				return BBOOL(BgL_tmpz00_1931);
			}
		}

	}



/* process-exit-status */
	BGL_EXPORTED_DEF obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t
		BgL_procz00_10)
	{
		{	/* Llib/process.scm 172 */
			BGL_TAIL return c_process_xstatus(BgL_procz00_10);
		}

	}



/* &process-exit-status */
	obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t BgL_envz00_1805,
		obj_t BgL_procz00_1806)
	{
		{	/* Llib/process.scm 172 */
			{	/* Llib/process.scm 173 */
				obj_t BgL_auxz00_1942;

				if (PROCESSP(BgL_procz00_1806))
					{	/* Llib/process.scm 173 */
						BgL_auxz00_1942 = BgL_procz00_1806;
					}
				else
					{
						obj_t BgL_auxz00_1945;

						BgL_auxz00_1945 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
							BINT(7500L), BGl_string1645z00zz__processz00,
							BGl_string1639z00zz__processz00, BgL_procz00_1806);
						FAILURE(BgL_auxz00_1945, BFALSE, BFALSE);
					}
				return BGl_processzd2exitzd2statusz00zz__processz00(BgL_auxz00_1942);
			}
		}

	}



/* process-send-signal */
	BGL_EXPORTED_DEF obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t
		BgL_procz00_11, int BgL_signalz00_12)
	{
		{	/* Llib/process.scm 178 */
			BGL_TAIL return c_process_send_signal(BgL_procz00_11, BgL_signalz00_12);
		}

	}



/* &process-send-signal */
	obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t BgL_envz00_1807,
		obj_t BgL_procz00_1808, obj_t BgL_signalz00_1809)
	{
		{	/* Llib/process.scm 178 */
			{	/* Llib/process.scm 179 */
				int BgL_auxz00_1958;
				obj_t BgL_auxz00_1951;

				{	/* Llib/process.scm 179 */
					obj_t BgL_tmpz00_1959;

					if (INTEGERP(BgL_signalz00_1809))
						{	/* Llib/process.scm 179 */
							BgL_tmpz00_1959 = BgL_signalz00_1809;
						}
					else
						{
							obj_t BgL_auxz00_1962;

							BgL_auxz00_1962 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
								BINT(7805L), BGl_string1646z00zz__processz00,
								BGl_string1647z00zz__processz00, BgL_signalz00_1809);
							FAILURE(BgL_auxz00_1962, BFALSE, BFALSE);
						}
					BgL_auxz00_1958 = CINT(BgL_tmpz00_1959);
				}
				if (PROCESSP(BgL_procz00_1808))
					{	/* Llib/process.scm 179 */
						BgL_auxz00_1951 = BgL_procz00_1808;
					}
				else
					{
						obj_t BgL_auxz00_1954;

						BgL_auxz00_1954 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
							BINT(7805L), BGl_string1646z00zz__processz00,
							BGl_string1639z00zz__processz00, BgL_procz00_1808);
						FAILURE(BgL_auxz00_1954, BFALSE, BFALSE);
					}
				return
					BGl_processzd2sendzd2signalz00zz__processz00(BgL_auxz00_1951,
					BgL_auxz00_1958);
			}
		}

	}



/* process-kill */
	BGL_EXPORTED_DEF obj_t BGl_processzd2killzd2zz__processz00(obj_t
		BgL_procz00_13)
	{
		{	/* Llib/process.scm 184 */
			c_process_kill(BgL_procz00_13);
			BGL_TAIL return
				BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_13);
		}

	}



/* &process-kill */
	obj_t BGl_z62processzd2killzb0zz__processz00(obj_t BgL_envz00_1810,
		obj_t BgL_procz00_1811)
	{
		{	/* Llib/process.scm 184 */
			{	/* Llib/process.scm 185 */
				obj_t BgL_auxz00_1970;

				if (PROCESSP(BgL_procz00_1811))
					{	/* Llib/process.scm 185 */
						BgL_auxz00_1970 = BgL_procz00_1811;
					}
				else
					{
						obj_t BgL_auxz00_1973;

						BgL_auxz00_1973 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
							BINT(8123L), BGl_string1648z00zz__processz00,
							BGl_string1639z00zz__processz00, BgL_procz00_1811);
						FAILURE(BgL_auxz00_1973, BFALSE, BFALSE);
					}
				return BGl_processzd2killzd2zz__processz00(BgL_auxz00_1970);
			}
		}

	}



/* process-stop */
	BGL_EXPORTED_DEF obj_t BGl_processzd2stopzd2zz__processz00(obj_t
		BgL_procz00_14)
	{
		{	/* Llib/process.scm 191 */
			BGL_TAIL return c_process_stop(BgL_procz00_14);
		}

	}



/* &process-stop */
	obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t BgL_envz00_1812,
		obj_t BgL_procz00_1813)
	{
		{	/* Llib/process.scm 191 */
			{	/* Llib/process.scm 192 */
				obj_t BgL_auxz00_1979;

				if (PROCESSP(BgL_procz00_1813))
					{	/* Llib/process.scm 192 */
						BgL_auxz00_1979 = BgL_procz00_1813;
					}
				else
					{
						obj_t BgL_auxz00_1982;

						BgL_auxz00_1982 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
							BINT(8417L), BGl_string1649z00zz__processz00,
							BGl_string1639z00zz__processz00, BgL_procz00_1813);
						FAILURE(BgL_auxz00_1982, BFALSE, BFALSE);
					}
				return BGl_processzd2stopzd2zz__processz00(BgL_auxz00_1979);
			}
		}

	}



/* process-continue */
	BGL_EXPORTED_DEF obj_t BGl_processzd2continuezd2zz__processz00(obj_t
		BgL_procz00_15)
	{
		{	/* Llib/process.scm 197 */
			BGL_TAIL return c_process_continue(BgL_procz00_15);
		}

	}



/* &process-continue */
	obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t BgL_envz00_1814,
		obj_t BgL_procz00_1815)
	{
		{	/* Llib/process.scm 197 */
			{	/* Llib/process.scm 198 */
				obj_t BgL_auxz00_1988;

				if (PROCESSP(BgL_procz00_1815))
					{	/* Llib/process.scm 198 */
						BgL_auxz00_1988 = BgL_procz00_1815;
					}
				else
					{
						obj_t BgL_auxz00_1991;

						BgL_auxz00_1991 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
							BINT(8705L), BGl_string1650z00zz__processz00,
							BGl_string1639z00zz__processz00, BgL_procz00_1815);
						FAILURE(BgL_auxz00_1991, BFALSE, BFALSE);
					}
				return BGl_processzd2continuezd2zz__processz00(BgL_auxz00_1988);
			}
		}

	}



/* process-list */
	BGL_EXPORTED_DEF obj_t BGl_processzd2listzd2zz__processz00(void)
	{
		{	/* Llib/process.scm 203 */
			BGL_TAIL return c_process_list();
		}

	}



/* &process-list */
	obj_t BGl_z62processzd2listzb0zz__processz00(obj_t BgL_envz00_1816)
	{
		{	/* Llib/process.scm 203 */
			return BGl_processzd2listzd2zz__processz00();
		}

	}



/* run-process */
	BGL_EXPORTED_DEF obj_t BGl_runzd2processzd2zz__processz00(obj_t
		BgL_commandz00_16, obj_t BgL_restz00_17)
	{
		{	/* Llib/process.scm 212 */
			{	/* Llib/process.scm 213 */
				bool_t BgL_forkz00_1112;
				bool_t BgL_waitz00_1113;
				obj_t BgL_inputz00_1114;
				obj_t BgL_outputz00_1115;
				obj_t BgL_errorz00_1116;
				obj_t BgL_hostz00_1117;
				obj_t BgL_pipesz00_1118;
				obj_t BgL_argsz00_1119;
				obj_t BgL_envz00_1120;

				BgL_forkz00_1112 = ((bool_t) 1);
				BgL_waitz00_1113 = ((bool_t) 0);
				BgL_inputz00_1114 = BUNSPEC;
				BgL_outputz00_1115 = BUNSPEC;
				BgL_errorz00_1116 = BUNSPEC;
				BgL_hostz00_1117 = BUNSPEC;
				BgL_pipesz00_1118 = BGl_list1651z00zz__processz00;
				BgL_argsz00_1119 = BNIL;
				BgL_envz00_1120 = BNIL;
				{
					obj_t BgL_restz00_1123;

					BgL_restz00_1123 = BgL_restz00_17;
				BgL_zc3z04anonymousza31154ze3z87_1124:
					if (NULLP(BgL_restz00_1123))
						{	/* Llib/process.scm 229 */
							obj_t BgL_arg1156z00_1126;

							BgL_arg1156z00_1126 = bgl_reverse_bang(BgL_argsz00_1119);
							return
								c_run_process(BgL_hostz00_1117,
								BBOOL(BgL_forkz00_1112),
								BBOOL(BgL_waitz00_1113), BgL_inputz00_1114, BgL_outputz00_1115,
								BgL_errorz00_1116, BgL_commandz00_16, BgL_arg1156z00_1126,
								BgL_envz00_1120);
						}
					else
						{	/* Llib/process.scm 230 */
							bool_t BgL_test1739z00_2004;

							{	/* Llib/process.scm 230 */
								bool_t BgL_test1740z00_2005;

								{	/* Llib/process.scm 230 */
									obj_t BgL_tmpz00_2006;

									BgL_tmpz00_2006 = CAR(((obj_t) BgL_restz00_1123));
									BgL_test1740z00_2005 = KEYWORDP(BgL_tmpz00_2006);
								}
								if (BgL_test1740z00_2005)
									{	/* Llib/process.scm 230 */
										obj_t BgL_tmpz00_2010;

										BgL_tmpz00_2010 = CDR(((obj_t) BgL_restz00_1123));
										BgL_test1739z00_2004 = PAIRP(BgL_tmpz00_2010);
									}
								else
									{	/* Llib/process.scm 230 */
										BgL_test1739z00_2004 = ((bool_t) 0);
									}
							}
							if (BgL_test1739z00_2004)
								{	/* Llib/process.scm 231 */
									obj_t BgL_valz00_1132;

									{	/* Llib/process.scm 231 */
										obj_t BgL_pairz00_1588;

										BgL_pairz00_1588 = CDR(((obj_t) BgL_restz00_1123));
										BgL_valz00_1132 = CAR(BgL_pairz00_1588);
									}
									{	/* Llib/process.scm 232 */
										obj_t BgL_casezd2valuezd2_1133;

										BgL_casezd2valuezd2_1133 = CAR(((obj_t) BgL_restz00_1123));
										if (
											(BgL_casezd2valuezd2_1133 ==
												BGl_keyword1654z00zz__processz00))
											{	/* Llib/process.scm 232 */
												if (BOOLEANP(BgL_valz00_1132))
													{	/* Llib/process.scm 234 */
														BgL_waitz00_1113 = CBOOL(BgL_valz00_1132);
													}
												else
													{	/* Llib/process.scm 234 */
														BGl_errorz00zz__errorz00
															(BGl_string1656z00zz__processz00,
															BGl_string1657z00zz__processz00,
															BgL_restz00_1123);
													}
											}
										else
											{	/* Llib/process.scm 232 */
												if (
													(BgL_casezd2valuezd2_1133 ==
														BGl_keyword1658z00zz__processz00))
													{	/* Llib/process.scm 232 */
														if (BOOLEANP(BgL_valz00_1132))
															{	/* Llib/process.scm 238 */
																BgL_forkz00_1112 = CBOOL(BgL_valz00_1132);
															}
														else
															{	/* Llib/process.scm 238 */
																BGl_errorz00zz__errorz00
																	(BGl_string1656z00zz__processz00,
																	BGl_string1657z00zz__processz00,
																	BgL_restz00_1123);
															}
													}
												else
													{	/* Llib/process.scm 232 */
														if (
															(BgL_casezd2valuezd2_1133 ==
																BGl_keyword1660z00zz__processz00))
															{	/* Llib/process.scm 242 */
																bool_t BgL_test1746z00_2033;

																if (STRINGP(BgL_valz00_1132))
																	{	/* Llib/process.scm 242 */
																		BgL_test1746z00_2033 = ((bool_t) 1);
																	}
																else
																	{	/* Llib/process.scm 242 */
																		BgL_test1746z00_2033 =
																			CBOOL
																			(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																			(BgL_valz00_1132, BgL_pipesz00_1118));
																	}
																if (BgL_test1746z00_2033)
																	{	/* Llib/process.scm 242 */
																		BgL_inputz00_1114 = BgL_valz00_1132;
																	}
																else
																	{	/* Llib/process.scm 242 */
																		BGl_errorz00zz__errorz00
																			(BGl_string1656z00zz__processz00,
																			BGl_string1657z00zz__processz00,
																			BgL_restz00_1123);
																	}
															}
														else
															{	/* Llib/process.scm 232 */
																if (
																	(BgL_casezd2valuezd2_1133 ==
																		BGl_keyword1662z00zz__processz00))
																	{	/* Llib/process.scm 246 */
																		bool_t BgL_test1749z00_2041;

																		if (STRINGP(BgL_valz00_1132))
																			{	/* Llib/process.scm 246 */
																				BgL_test1749z00_2041 = ((bool_t) 1);
																			}
																		else
																			{	/* Llib/process.scm 246 */
																				if (CBOOL
																					(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																						(BgL_valz00_1132,
																							BgL_pipesz00_1118)))
																					{	/* Llib/process.scm 246 */
																						BgL_test1749z00_2041 = ((bool_t) 1);
																					}
																				else
																					{	/* Llib/process.scm 246 */
																						BgL_test1749z00_2041 =
																							(BgL_valz00_1132 ==
																							BGl_keyword1664z00zz__processz00);
																					}
																			}
																		if (BgL_test1749z00_2041)
																			{	/* Llib/process.scm 246 */
																				BgL_outputz00_1115 = BgL_valz00_1132;
																			}
																		else
																			{	/* Llib/process.scm 246 */
																				BGl_errorz00zz__errorz00
																					(BGl_string1656z00zz__processz00,
																					BGl_string1657z00zz__processz00,
																					BgL_restz00_1123);
																			}
																	}
																else
																	{	/* Llib/process.scm 232 */
																		if (
																			(BgL_casezd2valuezd2_1133 ==
																				BGl_keyword1666z00zz__processz00))
																			{	/* Llib/process.scm 250 */
																				bool_t BgL_test1753z00_2051;

																				if (STRINGP(BgL_valz00_1132))
																					{	/* Llib/process.scm 250 */
																						BgL_test1753z00_2051 = ((bool_t) 1);
																					}
																				else
																					{	/* Llib/process.scm 250 */
																						if (CBOOL
																							(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_valz00_1132,
																									BgL_pipesz00_1118)))
																							{	/* Llib/process.scm 250 */
																								BgL_test1753z00_2051 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Llib/process.scm 250 */
																								BgL_test1753z00_2051 =
																									(BgL_valz00_1132 ==
																									BGl_keyword1664z00zz__processz00);
																							}
																					}
																				if (BgL_test1753z00_2051)
																					{	/* Llib/process.scm 250 */
																						BgL_errorz00_1116 = BgL_valz00_1132;
																					}
																				else
																					{	/* Llib/process.scm 250 */
																						BGl_errorz00zz__errorz00
																							(BGl_string1656z00zz__processz00,
																							BGl_string1657z00zz__processz00,
																							BgL_restz00_1123);
																					}
																			}
																		else
																			{	/* Llib/process.scm 232 */
																				if (
																					(BgL_casezd2valuezd2_1133 ==
																						BGl_keyword1668z00zz__processz00))
																					{	/* Llib/process.scm 232 */
																						if (STRINGP(BgL_valz00_1132))
																							{	/* Llib/process.scm 254 */
																								BgL_hostz00_1117 =
																									BgL_valz00_1132;
																							}
																						else
																							{	/* Llib/process.scm 254 */
																								BGl_errorz00zz__errorz00
																									(BGl_string1656z00zz__processz00,
																									BGl_string1657z00zz__processz00,
																									BgL_restz00_1123);
																							}
																					}
																				else
																					{	/* Llib/process.scm 232 */
																						if (
																							(BgL_casezd2valuezd2_1133 ==
																								BGl_keyword1670z00zz__processz00))
																							{	/* Llib/process.scm 232 */
																								if (STRINGP(BgL_valz00_1132))
																									{	/* Llib/process.scm 258 */
																										BgL_envz00_1120 =
																											MAKE_YOUNG_PAIR
																											(BgL_valz00_1132,
																											BgL_envz00_1120);
																									}
																								else
																									{	/* Llib/process.scm 258 */
																										BGl_errorz00zz__errorz00
																											(BGl_string1656z00zz__processz00,
																											BGl_string1657z00zz__processz00,
																											BgL_restz00_1123);
																									}
																							}
																						else
																							{	/* Llib/process.scm 232 */
																								BGl_errorz00zz__errorz00
																									(BGl_string1656z00zz__processz00,
																									BGl_string1657z00zz__processz00,
																									BgL_restz00_1123);
																							}
																					}
																			}
																	}
															}
													}
											}
									}
									{	/* Llib/process.scm 263 */
										obj_t BgL_arg1185z00_1158;

										{	/* Llib/process.scm 263 */
											obj_t BgL_pairz00_1598;

											BgL_pairz00_1598 = CDR(((obj_t) BgL_restz00_1123));
											BgL_arg1185z00_1158 = CDR(BgL_pairz00_1598);
										}
										{
											obj_t BgL_restz00_2074;

											BgL_restz00_2074 = BgL_arg1185z00_1158;
											BgL_restz00_1123 = BgL_restz00_2074;
											goto BgL_zc3z04anonymousza31154ze3z87_1124;
										}
									}
								}
							else
								{	/* Llib/process.scm 264 */
									bool_t BgL_test1760z00_2075;

									{	/* Llib/process.scm 264 */
										obj_t BgL_tmpz00_2076;

										BgL_tmpz00_2076 = CAR(((obj_t) BgL_restz00_1123));
										BgL_test1760z00_2075 = STRINGP(BgL_tmpz00_2076);
									}
									if (BgL_test1760z00_2075)
										{	/* Llib/process.scm 264 */
											{	/* Llib/process.scm 265 */
												obj_t BgL_arg1196z00_1162;

												BgL_arg1196z00_1162 = CAR(((obj_t) BgL_restz00_1123));
												BgL_argsz00_1119 =
													MAKE_YOUNG_PAIR(BgL_arg1196z00_1162,
													BgL_argsz00_1119);
											}
											{	/* Llib/process.scm 266 */
												obj_t BgL_arg1197z00_1163;

												BgL_arg1197z00_1163 = CDR(((obj_t) BgL_restz00_1123));
												{
													obj_t BgL_restz00_2085;

													BgL_restz00_2085 = BgL_arg1197z00_1163;
													BgL_restz00_1123 = BgL_restz00_2085;
													goto BgL_zc3z04anonymousza31154ze3z87_1124;
												}
											}
										}
									else
										{	/* Llib/process.scm 264 */
											return
												BGl_errorz00zz__errorz00
												(BGl_string1656z00zz__processz00,
												BGl_string1657z00zz__processz00, BgL_restz00_1123);
										}
								}
						}
				}
			}
		}

	}



/* &run-process */
	obj_t BGl_z62runzd2processzb0zz__processz00(obj_t BgL_envz00_1817,
		obj_t BgL_commandz00_1818, obj_t BgL_restz00_1819)
	{
		{	/* Llib/process.scm 212 */
			{	/* Llib/process.scm 213 */
				obj_t BgL_auxz00_2087;

				if (STRINGP(BgL_commandz00_1818))
					{	/* Llib/process.scm 213 */
						BgL_auxz00_2087 = BgL_commandz00_1818;
					}
				else
					{
						obj_t BgL_auxz00_2090;

						BgL_auxz00_2090 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
							BINT(9491L), BGl_string1672z00zz__processz00,
							BGl_string1673z00zz__processz00, BgL_commandz00_1818);
						FAILURE(BgL_auxz00_2090, BFALSE, BFALSE);
					}
				return
					BGl_runzd2processzd2zz__processz00(BgL_auxz00_2087, BgL_restz00_1819);
			}
		}

	}



/* close-process-ports */
	BGL_EXPORTED_DEF obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t
		BgL_procz00_18)
	{
		{	/* Llib/process.scm 273 */
			{	/* Llib/process.scm 274 */
				bool_t BgL_test1762z00_2095;

				{	/* Llib/process.scm 274 */
					obj_t BgL_tmpz00_2096;

					BgL_tmpz00_2096 = PROCESS_INPUT_PORT(BgL_procz00_18);
					BgL_test1762z00_2095 = OUTPUT_PORTP(BgL_tmpz00_2096);
				}
				if (BgL_test1762z00_2095)
					{	/* Llib/process.scm 275 */
						obj_t BgL_arg1206z00_1174;

						BgL_arg1206z00_1174 = PROCESS_INPUT_PORT(BgL_procz00_18);
						bgl_close_output_port(((obj_t) BgL_arg1206z00_1174));
					}
				else
					{	/* Llib/process.scm 274 */
						BFALSE;
					}
			}
			{	/* Llib/process.scm 276 */
				bool_t BgL_test1763z00_2102;

				{	/* Llib/process.scm 276 */
					obj_t BgL_tmpz00_2103;

					BgL_tmpz00_2103 = PROCESS_ERROR_PORT(BgL_procz00_18);
					BgL_test1763z00_2102 = INPUT_PORTP(BgL_tmpz00_2103);
				}
				if (BgL_test1763z00_2102)
					{	/* Llib/process.scm 277 */
						obj_t BgL_arg1211z00_1178;

						BgL_arg1211z00_1178 = PROCESS_ERROR_PORT(BgL_procz00_18);
						bgl_close_input_port(((obj_t) BgL_arg1211z00_1178));
					}
				else
					{	/* Llib/process.scm 276 */
						BFALSE;
					}
			}
			{	/* Llib/process.scm 278 */
				bool_t BgL_test1764z00_2109;

				{	/* Llib/process.scm 278 */
					obj_t BgL_tmpz00_2110;

					BgL_tmpz00_2110 = PROCESS_OUTPUT_PORT(BgL_procz00_18);
					BgL_test1764z00_2109 = INPUT_PORTP(BgL_tmpz00_2110);
				}
				if (BgL_test1764z00_2109)
					{	/* Llib/process.scm 279 */
						obj_t BgL_arg1217z00_1182;

						BgL_arg1217z00_1182 = PROCESS_OUTPUT_PORT(BgL_procz00_18);
						return bgl_close_input_port(((obj_t) BgL_arg1217z00_1182));
					}
				else
					{	/* Llib/process.scm 278 */
						return BFALSE;
					}
			}
		}

	}



/* &close-process-ports */
	obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t BgL_envz00_1820,
		obj_t BgL_procz00_1821)
	{
		{	/* Llib/process.scm 273 */
			{	/* Llib/process.scm 275 */
				obj_t BgL_auxz00_2116;

				if (PROCESSP(BgL_procz00_1821))
					{	/* Llib/process.scm 275 */
						BgL_auxz00_2116 = BgL_procz00_1821;
					}
				else
					{
						obj_t BgL_auxz00_2119;

						BgL_auxz00_2119 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
							BINT(11238L), BGl_string1674z00zz__processz00,
							BGl_string1639z00zz__processz00, BgL_procz00_1821);
						FAILURE(BgL_auxz00_2119, BFALSE, BFALSE);
					}
				return BGl_closezd2processzd2portsz00zz__processz00(BgL_auxz00_2116);
			}
		}

	}



/* unregister-process */
	BGL_EXPORTED_DEF obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t
		BgL_procz00_19)
	{
		{	/* Llib/process.scm 284 */
			BGL_TAIL return c_unregister_process(BgL_procz00_19);
		}

	}



/* &unregister-process */
	obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t BgL_envz00_1822,
		obj_t BgL_procz00_1823)
	{
		{	/* Llib/process.scm 284 */
			{	/* Llib/process.scm 285 */
				obj_t BgL_auxz00_2125;

				if (PROCESSP(BgL_procz00_1823))
					{	/* Llib/process.scm 285 */
						BgL_auxz00_2125 = BgL_procz00_1823;
					}
				else
					{
						obj_t BgL_auxz00_2128;

						BgL_auxz00_2128 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1637z00zz__processz00,
							BINT(11710L), BGl_string1675z00zz__processz00,
							BGl_string1639z00zz__processz00, BgL_procz00_1823);
						FAILURE(BgL_auxz00_2128, BFALSE, BFALSE);
					}
				return BGl_unregisterzd2processzd2zz__processz00(BgL_auxz00_2125);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__processz00(void)
	{
		{	/* Llib/process.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__processz00(void)
	{
		{	/* Llib/process.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__processz00(void)
	{
		{	/* Llib/process.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__processz00(void)
	{
		{	/* Llib/process.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1676z00zz__processz00));
		}

	}

#ifdef __cplusplus
}
#endif
